Bug 1275995 - Hammer host collection info is failing
Hammer host collection info is failing
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks: 1214675
  Show dependency treegraph
 
Reported: 2015-10-28 06:39 EDT by Tazim Kolhar
Modified: 2017-02-22 06:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-22 06:07:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
foreman-debug attached (525.16 KB, application/x-xz)
2015-10-28 06:39 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2015-10-28 06:39:37 EDT
Created attachment 1087212 [details]
foreman-debug attached

Description of problem:
Hammer host collection info is failing

Version-Release number of selected component (if applicable):
# rpm -qa | grep foreman
foreman-proxy-1.11.0-0.develop.201510201341git00875b3.el7.noarch
foreman-selinux-1.11.0-0.develop.201510071426git6234447.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-3.el7.noarch
tfm-rubygem-foreman_docker-1.4.1-2.fm1_10.el7.noarch
foreman-libvirt-1.11.0-0.develop.201510201422git6eb234a.el7.noarch
foreman-compute-1.11.0-0.develop.201510201422git6eb234a.el7.noarch
foreman-release-scl-1-1.el7.x86_64
foreman-gce-1.11.0-0.develop.201510201422git6eb234a.el7.noarch
foreman-debug-1.11.0-0.develop.201510201422git6eb234a.el7.noarch
tfm-rubygem-foreman_gutterball-0.0.1-3.el7.noarch
hp-sl2x170zg6-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-2.noarch
tfm-rubygem-foreman_discovery-4.1.1-1.fm1_11.el7.noarch
foreman-vmware-1.11.0-0.develop.201510201422git6eb234a.el7.noarch
tfm-rubygem-foreman_hooks-0.3.9-1.el7.noarch
tfm-rubygem-foreman-tasks-0.7.6-1.fm1_10.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.8-1.el7.noarch
tfm-rubygem-foreman_bootdisk-6.0.0-2.fm1_10.el7.noarch
hp-sl2x170zg6-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
hp-sl2x170zg6-01.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-ovirt-1.11.0-0.develop.201510201422git6eb234a.el7.noarch
foreman-1.11.0-0.develop.201510201422git6eb234a.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.3-4.el7.noarch
foreman-release-1.11.0-0.develop.201510201422git6eb234a.el7.noarch
foreman-postgresql-1.11.0-0.develop.201510201422git6eb234a.el7.noarch
tfm-rubygem-hammer_cli_foreman-0.4.0-1.201510201150gitab068d9.el7.noarch


How reproducible:
everytime

Steps to Reproduce:
1.# hammer host-collection info --help
Usage:
    hammer host-collection info [OPTIONS]

Options:
 --id ID                       Id of the host collection
 --name NAME                   Host collection name to search by
 -h, --help                    print help

2.# hammer host-collection info --name test123
[Foreman] Password for admin: 
undefined method `id' for nil:NilClass

3.

Actual results:
display information for host collections

Expected results:
should display info for host collections

Additional info:
foreman-debug attached
Comment 2 Bryan Kearney 2016-07-26 15:10:43 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.